# Uses of Interface
com.sun.source.tree.ForLoopTree

Packages that use ForLoopTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ForLoopTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ForLoopTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitForLoop(ForLoopTree node, P p)`
Visits a `ForLoopTree` node.

## Uses of ForLoopTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ForLoopTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitForLoop(ForLoopTree node, P p)`
Visits a `ForLoopTree` node.
`R`
TreeScanner.`visitForLoop(ForLoopTree node, P p)`
Visits a `ForLoopTree` node.